Skip to main content
POST
Duplicate an agent
Required scope: agents.edit Idempotency: an Idempotency-Key header is required when calling with an API key. See Idempotency.

Authorizations

Authorization
string
header
required

Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.

Headers

Idempotency-Key
string
required

Unique value (e.g. a UUID) per action, up to 200 printable ASCII characters. Reuse it only to retry the same request; the first response is replayed for 24 hours.

Maximum string length: 200
Example:

"f1d2c3b4-0000-4000-8000-000000000000"

Path Parameters

id
string
required

Response

Created

id
string
required
name
string
required
prompt
string
required
greeting
string | null
required
voice
string
required
status
string
required
preCallVariables
string[] | null
required
variables
string[]
required
systemVariables
string[]
required
extractionConfig
object | null
required
agentType
string
required
enableRecording
boolean
required
endCallEnabled
boolean
required
endCallMessage
string | null
required
endCallTriggers
string[] | null
required
maxCallDurationSecs
number | null
required
backgroundAudioId
string | null
required
backgroundAudioVolume
number | null
required
voicemailDetectionEnabled
boolean
required
voicemailMessage
string | null
required
screenerHandlingEnabled
boolean
required
transferEnabled
boolean
required
transferNumber
string | null
required
transferMessage
string | null
required
transferTriggers
string[] | null
required
language
string
required
studioConfig
object | null
required
abilities
object | null
required
promptEditedManually
boolean
required
createdAt
string
required
updatedAt
string
required